#!/usr/bin/perl
# RMS Gateway/Linux stats
# Script created by Charles "AI4RI" Blackburn
# This script is posted under the GPL, if modified you must leave this original copyright notice in
# (c) Charles Blackburn, 2008
#

my $totaltx = 0;
my $totalrx = 0;
my $totalbytes = 0;
my $totaltime = 0;
my $linecount = 0;

while( <> )
{
#	print $_;

	chomp;
	my @arr = split(/ /);

	# Parse Information
	my $ttx = substr($arr[12], index($arr[12], 'tx:'));
	my $trx = substr($arr[13], index($arr[13], 'rx:'));
	my $tm = $arr[14];
	my $bytes = $arr[15];

	# Get bytecount
	my @tx = split(/:/,$ttx);
	my @rx = split(/:/,$trx);

#	print("@tx[1]\n@rx[1]\n$tm\n$bytes\n");

	# Add them all up
	$totaltx += @tx[1];
	$totalrx += @rx[1];
	$totaltime += $tm;
	$totalbytes += $bytes;
	$linecount++;
}
	# Convert seconds to days, hours, minutes, seconds
	@parts = gmtime($totaltime);

	# Print Information out
	printf(" RMS-Status 0.1.0 - (c) 2008 - Charles Blackburn\n");
	printf(" Total number of connects: %d\n", $linecount);
	printf(" Total Transmitted bytes: %d - Total Received bytes: %d\n",$totaltx,$totalrx);
	printf(" Average Speed: %d Bytes/s\n", $totalbytes / $linecount);
	printf(" Total Time Taken: %d Days %02d:%02d:%02d\n",@parts[7,2,1,0]);
