/*
 * fileopts.c
 *
 * $Revision: 0.1c $
 * $Author: charlesb $
 *
 * Linux RMS Gateway Statistics Program/Log Parser
 *
 * Copyright (c) 2008 Charles Blackburn - AI4RI
 *
 * Questions or problems regarding this program can be emailed
 * to stormchaseruk at gmail dot com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Revision History
 * ----------------
 * 
 * Version	Date		Author		Description
 * 0.1c		06/06/08	charlesb	Original modularisation
 *
 */
#include "rmsstats.h"

FILE *OpenConfig(char fname[]) {
	FILE *fp;

	//try to open logfile
	if (verbose_flag) printf("FILE: Using configuration file: %s\n", fname);

	if((fp=fopen(fname, "r"))==NULL){
		printf("Cannot open log file %s, %s\n",
			fname, strerror(errno));
		return NULL;
	} else 
		return(fp);
}
